Package com.independentsoft.office.diagrams

# Class VariableList

java.lang.Object
com.independentsoft.office.diagrams.VariableList

All Implemented Interfaces:
  `ILayoutNodeElement`

public class VariableList extends Object implements ILayoutNodeElement
The Class VariableList.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariableList()`
  Instantiates a new variable list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VariableList`
  `clone()`
  `AnimationLevel`
  `getAnimationLevel()`
  Gets the animation level.
  `Direction`
  `getDirection()`
  Gets the direction.
  `HierarchyBranchStyle`
  `getHierarchyBranchStyle()`
  Gets the hierarchy branch style.
  `int`
  `getMaximumChildrenCount()`
  Gets the maximum children count.
  `OneByOneAnimation`
  `getOneByOneAnimation()`
  Gets the one by one animation.
  `int`
  `getPreferredChildrenCount()`
  Gets the preferred children count.
  `ShapeResizeStyle`
  `getShapeResizeStyle()`
  Gets the shape resize style.
  `boolean`
  `isShowInsertBullet()`
  Checks if is show insert bullet.
  `boolean`
  `isShowOrganizationChartUserInterface()`
  Checks if is show organization chart user interface.
  `void`
  `setAnimationLevel​(AnimationLevel animationLevel)`
  Sets the animation level.
  `void`
  `setDirection​(Direction direction)`
  Sets the direction.
  `void`
  `setHierarchyBranchStyle​(HierarchyBranchStyle hierarchyBranchStyle)`
  Sets the hierarchy branch style.
  `void`
  `setMaximumChildrenCount​(int maximumChildrenCount)`
  Sets the maximum children count.
  `void`
  `setOneByOneAnimation​(OneByOneAnimation oneByOneAnimation)`
  Sets the one by one animation.
  `void`
  `setPreferredChildrenCount​(int preferredChildrenCount)`
  Sets the preferred children count.
  `void`
  `setShapeResizeStyle​(ShapeResizeStyle shapeResizeStyle)`
  Sets the shape resize style.
  `void`
  `setShowInsertBullet​(boolean showInsertBullet)`
  Sets the show insert bullet.
  `void`
  `setShowOrganizationChartUserInterface​(boolean showOrganizationChartUserInterface)`
  Sets the show organization chart user interface.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VariableList

    public VariableList()
    Instantiates a new variable list.

- ## Method Details

  - ### clone

    public VariableList clone()
    Specified by:
      `clone` in interface `ILayoutNodeElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAnimationLevel

    public AnimationLevel getAnimationLevel()
    Gets the animation level.
    Returns:
      the animation level

  - ### setAnimationLevel

    public void setAnimationLevel​(AnimationLevel animationLevel)
    Sets the animation level.
    Parameters:
      `animationLevel` - the new animation level

  - ### getOneByOneAnimation

    public OneByOneAnimation getOneByOneAnimation()
    Gets the one by one animation.
    Returns:
      the one by one animation

  - ### setOneByOneAnimation

    public void setOneByOneAnimation​(OneByOneAnimation oneByOneAnimation)
    Sets the one by one animation.
    Parameters:
      `oneByOneAnimation` - the new one by one animation

  - ### isShowInsertBullet

    public boolean isShowInsertBullet()
    Checks if is show insert bullet.
    Returns:
      true, if is show insert bullet

  - ### setShowInsertBullet

    public void setShowInsertBullet​(boolean showInsertBullet)
    Sets the show insert bullet.
    Parameters:
      `showInsertBullet` - the new show insert bullet

  - ### getMaximumChildrenCount

    public int getMaximumChildrenCount()
    Gets the maximum children count.
    Returns:
      the maximum children count

  - ### setMaximumChildrenCount

    public void setMaximumChildrenCount​(int maximumChildrenCount)
    Sets the maximum children count.
    Parameters:
      `maximumChildrenCount` - the new maximum children count

  - ### getPreferredChildrenCount

    public int getPreferredChildrenCount()
    Gets the preferred children count.
    Returns:
      the preferred children count

  - ### setPreferredChildrenCount

    public void setPreferredChildrenCount​(int preferredChildrenCount)
    Sets the preferred children count.
    Parameters:
      `preferredChildrenCount` - the new preferred children count

  - ### getDirection

    public Direction getDirection()
    Gets the direction.
    Returns:
      the direction

  - ### setDirection

    public void setDirection​(Direction direction)
    Sets the direction.
    Parameters:
      `direction` - the new direction

  - ### getHierarchyBranchStyle

    public HierarchyBranchStyle getHierarchyBranchStyle()
    Gets the hierarchy branch style.
    Returns:
      the hierarchy branch style

  - ### setHierarchyBranchStyle

    public void setHierarchyBranchStyle​(HierarchyBranchStyle hierarchyBranchStyle)
    Sets the hierarchy branch style.
    Parameters:
      `hierarchyBranchStyle` - the new hierarchy branch style

  - ### isShowOrganizationChartUserInterface

    public boolean isShowOrganizationChartUserInterface()
    Checks if is show organization chart user interface.
    Returns:
      true, if is show organization chart user interface

  - ### setShowOrganizationChartUserInterface

    public void setShowOrganizationChartUserInterface​(boolean showOrganizationChartUserInterface)
    Sets the show organization chart user interface.
    Parameters:
      `showOrganizationChartUserInterface` - the new show organization chart user interface

  - ### getShapeResizeStyle

    public ShapeResizeStyle getShapeResizeStyle()
    Gets the shape resize style.
    Returns:
      the shape resize style

  - ### setShapeResizeStyle

    public void setShapeResizeStyle​(ShapeResizeStyle shapeResizeStyle)
    Sets the shape resize style.
    Parameters:
      `shapeResizeStyle` - the new shape resize style